org.springframework.data.type

## Interface MethodsMetadata

All Superinterfaces:
  ClassMetadata

    public interface MethodsMetadata
    extends ClassMetadata

Interface that defines abstract metadata of a specific class, in a form that does not require that class to be loaded yet.

Since:
  2.1
Author:
  Mark Paluch
See Also:
  `MethodMetadata`, `ClassMetadata`, `MethodsMetadataReader.getMethodsMetadata()`

### Method Summary

All Methods Instance Methods Abstract Methods
`Set<MethodMetadata>` `getMethods()` Return all methods.
`Set<MethodMetadata>` `getMethods(String name)` Return all methods matching method `name`.

### Methods inherited from interface org.springframework.core.type.ClassMetadata

`getClassName, getEnclosingClassName, getInterfaceNames, getMemberClassNames, getSuperClassName, hasEnclosingClass, hasSuperClass, isAbstract, isAnnotation, isConcrete, isFinal, isIndependent, isInterface`

### Method Detail

#### getMethods

    Set<MethodMetadata> getMethods()

Return all methods.

Returns:
  the methods declared in the class ordered as found in the class file. Order does not necessarily reflect the declaration order in the source file.

#### getMethods

    Set<MethodMetadata> getMethods(String name)

Return all methods matching method `name`.

Parameters:
  `name` - name of the method, must not be null or empty.
Returns:
  the methods matching method `name` declared in the class ordered as found in the class file. Order does not necessarily reflect the declaration order in the source file.